package com.cygnusa.hyperm.wrappers;

import java.util.ArrayList;

public class RewardPointsResponse {
    private String response;
    private String message;
    private String response_text;
    private int status;
    private ArrayList<RewardPoints> data = new ArrayList<>();
    private String total;
    private String total_point;
    private String current_point;
    private String last_page;
    private String current_page;
    private String min_redeem_point;
    private String is_redeem_point;

    public String getIs_redeem_point() {
        return is_redeem_point;
    }

    public void setIs_redeem_point(String is_redeem_point) {
        this.is_redeem_point = is_redeem_point;
    }

    public String getMin_redeem_point() {
        return min_redeem_point;
    }

    public void setMin_redeem_point(String min_redeem_point) {
        this.min_redeem_point = min_redeem_point;
    }

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getResponse_text() {
        return response_text;
    }

    public void setResponse_text(String response_text) {
        this.response_text = response_text;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public ArrayList<RewardPoints> getData() {
        return data;
    }

    public void setData(ArrayList<RewardPoints> data) {
        this.data = data;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getTotal_point() {
        return total_point;
    }

    public void setTotal_point(String total_point) {
        this.total_point = total_point;
    }

    public String getCurrent_point() {
        return current_point;
    }

    public void setCurrent_point(String current_point) {
        this.current_point = current_point;
    }

    public String getLast_page() {
        return last_page;
    }

    public void setLast_page(String last_page) {
        this.last_page = last_page;
    }

    public String getCurrent_page() {
        return current_page;
    }

    public void setCurrent_page(String current_page) {
        this.current_page = current_page;
    }
}
